pro get_initial_conditions, orbstart

;;; INPUT THE PARAMETERS FOR YOUR CALCULATION HERE ;;;;;

nbodies = 4  ; NUMBER OF PLANETS
orb1 = {rmc_orbstruct}
orbstart = replicate(orb1, nbodies) ; the structure to put the initial conditions in

;;; ORBITAL ELEMENTS FOR EACH PLANET
; You can have any number of plaents. Be sure to give each its own
; index and to update the variable nbodies above.

orbstart[0].name = 'Jupiter'
orbstart[0].mass = 9.54d-4
orbstart[0].a = 5.204267d0
orbstart[0].e = 0.048775d0
orbstart[0].i = 1.305d0
orbstart[0].peri = 275.066d0
orbstart[0].node = 100.492d0
orbstart[0].M = 18.818d0

orbstart[1].name = 'Saturn'
orbstart[1].mass = 2.86d-4
orbstart[1].a = 9.58201720d0
orbstart[1].e = 0.055723219d0
orbstart[1].i = 2.485240d0
orbstart[1].peri = 336.013862d0
orbstart[1].node = 113.642811d0
orbstart[1].M = 320.346750d0

orbstart[2].name = 'Uranus'
orbstart[2].mass = 4.36d-5
orbstart[2].a = 19.22941195d0
orbstart[2].e = 0.044405586d0
orbstart[2].i = 0.772556d0
orbstart[2].peri = 96.541318d0
orbstart[2].node = 73.989821d0
orbstart[2].M = 142.955717d0

orbstart[3].name = 'Neptune'
orbstart[3].mass = 5.15d-5
orbstart[3].a = 30.10366151d0
orbstart[3].e = 0.011214269d0
orbstart[3].i = 1.767975d0
orbstart[3].peri = 265.646853d0
orbstart[3].node = 131.794310d0
orbstart[3].M = 267.767281d0


orbstart.i = orbstart.i * !dpi/180.0
orbstart.peri = orbstart.peri * !dpi/180.0
orbstart.node = orbstart.node * !dpi/180.0
orbstart.M = orbstart.M * !dpi/180.0

end
