pro get_rf, a=a, e=e, M=M, r=r, f=f

  npts = n_elements(a)

  kepE = dblarr(npts)
  r = dblarr(npts)
  f = dblarr(npts)

  for i=long(0),npts-1 do begin
    kepE[i] = solve_kepler(M=M[i], e=e[i])
    if kepE[i] eq 0 then f[i] = 0;
    if kepE[i] eq !dpi then f[i] = !dpi
  if kepE[i] lt !dpi then begin
    f[i] = acos((cos(kepE[i]) - e[i])/(1.0-e[i]*cos(kepE[i])));
  endif else begin
    f[i] = 2.0*!dpi - acos((cos(kepE[i]) - e[i])/(1.0-e[i]*cos(kepE[i])));
  endelse
  r[i] = a[i]*(1.0-e[i]*cos(kepE[i]));
endfor

end
