pro print_big_in, style=style, epoch=epoch, encounter_rs=encounter_rs, orbstates=orb, double=double, dir=dir

  if (not keyword_set(dir)) then dir = '.'

  nbodies = n_elements(orb)

  if (not keyword_set(style)) then style = "Asteroidal"
  if (not keyword_set(epoch)) then epoch = 0.0
  if (not keyword_set(encounter_rs)) then begin
    encounter_rs = fltarr(nbodies)
    for i=0,nbodies-1 do encounter_rs[i] = 1.0
  endif

  filename = dir + '/big.in'
  openw, fileu, filename, /get_lun

  printf, fileu, ")O+_06 Big-body initial data  (WARNING: Do not delete this line!!)"
  printf, fileu, ") Lines beginning with `)' are ignored."
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, " style (Cartesian, Asteroidal, Cometary) = ", style
  printf, fileu, " epoch (in days) = ", epoch
  printf, fileu, ")---------------------------------------------------------------------"

  for i=0,nbodies-1 do begin
    printf, fileu, format='(" ", A, " m=", E8.2, " r=", F3.1)' , orb[i].name, orb[i].mass, encounter_rs[i]
    if (not keyword_set(double)) then begin
        printf, fileu, format='(" ", E14.8, " ", F5.3, " ", 4(F5.1, " "), " 0 0 0")', orb[i].a, orb[i].e, orb[i].i*180.0/!dpi, orb[i].peri*180.0/!dpi, orb[i].node*180.0/!dpi, orb[i].M*180.0/!dpi
    endif else begin
        printf, fileu, format='(" ", 6(E14.8, " "), " 0 0 0")', orb[i].a, orb[i].e, orb[i].i*180.0/!dpi, orb[i].peri*180.0/!dpi, orb[i].node*180.0/!dpi, orb[i].M*180.0/!dpi
    endelse
  endfor

  ; to make sure there's a newline at the end
  printf, fileu, " "

  free_lun, fileu
    
end

