pro print_param_in, algorithm=algorithm, startt=startt, stopt=stopt, output=output, step=step, accuracy=accuracy, stopafterclose=stopafterclose, collisions=collisions, expresstime=expresstime, timerelstart=timerelstart, outprecision=outprecision, userforce=userforce, ejectdistance=ejectdistance, rcen=rcen, mcen=mcen, j2=j2, j4=j4, j6=j6, hillchange=hillchange, datadump=datadump, periodic=periodic, dir=dir

  if (not keyword_set(dir)) then dir = '.'

  ; defaults
  if (not keyword_set(algorithm)) then algorithm = "hyb"
  if (not keyword_set(startt)) then startt = 0.0
  if (not keyword_set(stopt)) then stopt = 365.25
  if (not keyword_set(output)) then output = 365.25d-1
  if (not keyword_set(step)) then step = 8
  if (not keyword_set(accuracy)) then accuracy = 1.0d-12
  if (not keyword_set(stopafterclose)) then stopafterclose = "no"
  if (not keyword_set(collisions)) then collisions = "no"
  if (not keyword_set(expresstime)) then expresstime = "years"
  if (not keyword_set(timerelstart)) then timerelstart = "yes"
  if (not keyword_set(outprecision)) then outprecision = "medium"
  if (not keyword_set(userforce)) then userforce = "no"
  if (not keyword_set(ejectdistance)) then ejectdistance = 100.0
  if (not keyword_set(rcen)) then rcen = 0.005
  if (not keyword_set(mcen)) then mcen = 1.0
  if (not keyword_set(j2)) then j2 = 0
  if (not keyword_set(j4)) then j4 = 0
  if (not keyword_set(j6)) then j6 = 0
  if (not keyword_set(hillchange)) then hillchange = 3
  if (not keyword_set(datadump)) then datadump = 5000
  if (not keyword_set(periodic)) then periodic = 100

  filename = dir + '/param.in'
  openw, fileu, filename, /get_lun

  printf, fileu, ")O+_06 Integration parameters  (WARNING: Do not delete this line!!)"
  printf, fileu, ") Lines beginning with `)' are ignored."
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, ") Important integration parameters:"
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, " algorithm (MVS, BS, BS2, RADAU, HYBRID etc) =", algorithm
  printf, fileu, " start time (days)= ", startt
  printf, fileu, " stop time (days) = ", stopt
  printf, fileu, " output interval (days) = ", output
  printf, fileu, " timestep (days) = ", step
  printf, fileu, " accuracy parameter = ", accuracy
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, ") Integration options:"
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, " stop integration after a close encounter = ", stopafterclose
  printf, fileu, " allow collisions to occur = ", collisions
  printf, fileu, " include collisional fragmentation = no" ; not supported
  printf, fileu, " express time in days or years = ", expresstime
  printf, fileu, " express time relative to integration start time = ", timerelstart
  printf, fileu, " output precision = ", outprecision 
  printf, fileu, " < not used at present >"
  printf, fileu, " include relativity in integration= no" ; not supported
  printf, fileu, " include user-defined force = ", userforce
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, ") These parameters do not need to be adjusted often:"
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, " ejection distance (AU)= ", ejectdistance
  printf, fileu, " radius of central body (AU) = ", rcen 
  printf, fileu, " central mass (solar) = ", mcen
  printf, fileu, " central J2 = ", j2
  printf, fileu, " central J4 = ", j4
  printf, fileu, " central J6 = ", j6
  printf, fileu, " < not used at present >"
  printf, fileu, " < not used at present >"
  printf, fileu, " Hybrid integrator changeover (Hill radii) = ", hillchange
  printf, fileu, " number of timesteps between data dumps = ", datadump
  printf, fileu, " number of timesteps between periodic effects = ", periodic

  ; to make ende there's a newline at the end 
  printf, fileu, " "

  free_lun, fileu 

end 

