pro print_small_in, style=style, epochs=epochs, orbstates=orb, double=double, dir=dir

  if (not keyword_set(dir)) then dir = '.'

  nbodies = n_elements(orb)

  if (not keyword_set(style)) then style = "Asteroidal"
  if (not keyword_set(epoch)) then epochs = replicate(0.0, nbodies)

  filename = dir + '/small.in'
  openw, fileu, filename, /get_lun

  printf, fileu, ")O+_06 Small-body initial data  (WARNING: Do not delete this line!!)"
  printf, fileu, ") Lines beginning with `)' are ignored."
  printf, fileu, ")---------------------------------------------------------------------"
  printf, fileu, " style (Cartesian, Asteroidal, Cometary) = ", style
  printf, fileu, ")---------------------------------------------------------------------"

  for i=0,nbodies-1 do begin
    printf, fileu, format='(" ", A, " ep=", F8.2)' , orb[i].name, epochs[i]
    if not(keyword_set(double)) then begin
        printf, fileu, format='(" ", E14.8, " ", F5.3, " ", 4(F5.1, " "), " 0 0 0")', orb[i].a, orb[i].e, orb[i].i*180.0/!dpi, orb[i].peri*180.0/!dpi, orb[i].node*180.0/!dpi, orb[i].M*180.0/!dpi
    endif else begin
        printf, fileu, format='(" ", 6(E14.8, " "), " 0 0 0")', orb[i].a, orb[i].e, orb[i].i*180.0/!dpi, orb[i].peri*180.0/!dpi, orb[i].node*180.0/!dpi, orb[i].M*180.0/!dpi
    endelse
  endfor

  ; to make sure there's a newline at the end
  printf, fileu, " "

  free_lun, fileu
    
end
